<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xalan="http://xml.apache.org/xslt"
  xmlns:rnif="http://www.rosettanet.org/RNIF/V02.00"
  exclude-result-prefixes="rnif">

<xsl:output method="xml"
	indent="yes"
	xalan:indent-amount="3"
	encoding="utf-8"
	doctype-system="AcknowledgmentOfReceipt_MS_V02_00.dtd"/>

<!-- Parameters passed in from external environment-->
<xsl:param name="OriginalMessageDigest"/>

<xsl:template match="/">
<ReceiptAcknowledgment xmlns="http://www.rosettanet.org/RNIF/V02.00">
	<xsl:choose>
		<xsl:when test="$OriginalMessageDigest!=''">
			<NonRepudiationInformation>
				<OriginalMessageDigest><xsl:value-of select="$OriginalMessageDigest"/></OriginalMessageDigest>
			</NonRepudiationInformation>
		</xsl:when>
	</xsl:choose>
</ReceiptAcknowledgment>
</xsl:template>

</xsl:stylesheet>
